//
//  MTS2MP4AppDelegate.h
//  MTS2MP4
//
//  Created by Robert McLeay on 14/06/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface MTS2MP4AppDelegate : NSObject <NSApplicationDelegate> {
	IBOutlet NSWindow *window;
	IBOutlet NSProgressIndicator *myProgress;
	IBOutlet NSTextField *lblProgress;
	IBOutlet NSButton *btnCancel;
}

NSArray *file_array;
int file_array_pos = 0;
BOOL running_jobs = NO;
NSTask *current_task;
NSPipe *outputPipe;
NSFileHandle *taskOutput;

- (IBAction)openPreferencesWindow:(id)sender;
- (IBAction)cancelJob:(id)sender;
- (void)showErrorMsg:(NSString*)errorStr;
- (void)convertMTSFile:(NSString*)file;
- (void)taskCompleted:(NSNotification *)notif;
- (void)taskDataAvailable:(NSNotification *)notif;


@end
